Package org.eclipse.ltk.core.refactoring.participants

# Interface IConditionChecker

All Known Implementing Classes:
  `ResourceChangeChecker`, `ValidateEditChecker`

public interface IConditionChecker
A condition checker can be used to share condition checks across the main processor and all its associated participants.

This interface should be implemented by clients wishing to provide a special refactoring processor with special shared condition checks.

Since:
  3.0
See Also:
  - `CheckConditionsContext`

## Method Summary

Modifier and Type
Method
Description
`RefactoringStatus`
`check(IProgressMonitor monitor)`
Performs the actual condition checking.

## Method Details

### check

RefactoringStatus check(IProgressMonitor monitor) throws CoreException
Performs the actual condition checking.

Parameters:
  `monitor` - a progress monitor to report progress
Returns:
  the outcome of the condition check
Throws:
  `CoreException` - if an error occurred during condition checking. The check is interpreted as failed if this happens